namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "follow_me")]
public class FollowMe : Script, IScriptChangeTargets
{
    /// <inheritdoc />
    public void ChangeTargets(IMoveChoice moveChoice, ref IReadOnlyList<IPokemon?> targets)
    {
        if (targets.Count != 1)
            return;

        var target = targets[0];
        if (target == null)
            return;
        if (target.BattleData?.SideIndex != moveChoice.User.BattleData?.SideIndex)
            return;

        targets = [moveChoice.User];
    }
}